org.eclipse.incquery.runtime.evm.specific.lifecycle

## Class UnmodifiableActivationLifeCycle

- java.lang.Object
- - org.eclipse.incquery.runtime.evm.api.ActivationLifeCycle
  - - org.eclipse.incquery.runtime.evm.specific.lifecycle.UnmodifiableActivationLifeCycle

- Direct Known Subclasses:
    DefaultActivationLifeCycle

      public class UnmodifiableActivationLifeCycle
      extends ActivationLifeCycle

  This class represents life-cycles that cannot be modified. Attempts to add new transitions will result in `UnsupportedOperationException`.
  Author:
    Abel Hegedus

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addStateTransition(ActivationState from, EventType event, ActivationState to)` Extends the life cycle with a new transition that is created from the given state, labeled with the given event and leading to the given state.
    `static UnmodifiableActivationLifeCycle` | `copyOf(ActivationLifeCycle lifeCycle)` Creates an unmodifiable copy of the given life-cycle.

    - ### Methods inherited from class org.eclipse.incquery.runtime.evm.api.ActivationLifeCycle

      `containsFrom, containsTo, create, getInactiveState, getStateTransitionTable, nextActivationState, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### addStateTransition

          public boolean addStateTransition(ActivationState from,
                                            EventType event,
                                            ActivationState to)

      Description copied from class: `ActivationLifeCycle`
      Extends the life cycle with a new transition that is created from the given state, labeled with the given event and leading to the given state. If the (from,event) transition already exists in the life-cycle, it is overwritten with the given to state.
      Overrides:
        `addStateTransition` in class `ActivationLifeCycle`
      Parameters:
        `from` - the source state of the transition
        `event` - the event causing the transition
        `to` - the target state of the transition
      Returns:
        true, if the life-cycle changed

    - #### copyOf

          public static UnmodifiableActivationLifeCycle copyOf(ActivationLifeCycle lifeCycle)

      Creates an unmodifiable copy of the given life-cycle.
      Parameters:
        `lifeCycle` -